1
vote
1answer
55 views

Why cant I install NLTK? [closed]

I am trying to install Natural Language Tool Kit for Python on my Unix machine as per the below: http://www.nltk.org/install.html however when I get to .." sudo pip install -U numpy" I get the ...
0
votes
1answer
62 views

How to install Python3.3.5 on Ubuntu Server 12.10?

I need Python 3.3.5 on Ubuntu Server 12.10. I want to run apt-get install python3 but I am not sure this will lead to Python3.3.5 version installation. In other words: how can I install the exact ...
0
votes
1answer
50 views

Install something without make install [closed]

I have been struggling for few days trying to install a software. I'm not actually working on Ubuntu but I think the steps to do are the same. Working on a gentoo (The operating system of the Robot ...
0
votes
3answers
201 views

How to install Ubuntu on portable external Hard Drive?

OS: Windows 7. I want install Linux Ubuntu on portable external Hard Drive USB 2.0. I read a variety of methods, but I'm confused by contradictory advices and methods. Actually, installing Ubuntu on ...
1
vote
1answer
612 views

Install python setup tools for Ubuntu 12.04

I am trying to install Savanna in OpenStack but I am getting this error that I have posted on askubuntu.com Someone told me that it might happen because I have not right version of python-setup-tools ...
0
votes
1answer
387 views

pip install … Failed with error code 1 …

I'm trying to configure my new system with Ubuntu 13.10 but pip won't let me install anything. No matter what package I try to install I always get the error: ...failed with error code 1 in ...
0
votes
0answers
82 views

Install module BZ2 on python

I'm trying to install the module bz2 on python v2.7. I'm using Ubuntu 12.04 LTS and I have already installed libbz2-dev through Synaptic. I read that I need to rebuild python to take the changes of ...
1
vote
1answer
117 views

howto link / execute / add to $PATH: python3.3.5 after manual installation in 12.04 LTS

I'm trying to install python3.3.5 on /home/myUser/XX, where home is located on a separate partition. I'm relatively new to Linux and have only basic knowledge about installing packages on my own, ...
0
votes
0answers
10 views

Problem in installing pip and lxml and importing xml for python [duplicate]

i tried following command apt-get install python-pip it gave message Do you want to continue [Y/n]? y Media change: please insert the disc labeled 'Ubuntu 13.10 Saucy Salamander - Release amd64 ...
0
votes
1answer
182 views

No such file or directory: '/usr/lib/python2.7/sitecustomize.py' but it is there in red color

While trying to install denyhosts but I am getting this error: IOError: [Errno 2] No such file or directory: '/usr/lib/python2.7/sitecustomize.py' I verified that ...
1
vote
1answer
67 views

Quickly produces an error when installing

I ported an application over to Quickly, replacing all the files as necessary. When I say quickly run the application runs without flaw. However, the problem occurs when I try to package/install it. ...
0
votes
1answer
41 views

How to change the mirror of setuptools?

I changed the ~/.pip/pip.conf file to a customized mirror, and pip install do download the package from that mirror. But when installing(run the setup.py), I find setuptools still get packages from ...
2
votes
3answers
121 views

How to intall python library from a repository

I'm a long time windows user who has made the plunge to ubuntu. Some things I like, somethings I don't like and most...well most I just don't understand as of yet. I mostly get Apt-get. Groovy. I ...
1
vote
1answer
271 views

How to install Python 3.4 properly on Saucy?

For my project I need Python 3.4 (beta 2) for its asyncio module, but there is no official package for Ubuntu yet (unlike Windows, which has an MSI already). I'd like to know how can I install Python ...
0
votes
1answer
70 views

How to install an app written in Python?

I tried to install an app written in Python using this command in terminal: sudo make install at the very last stage of installation, this message pops up: [ -x /usr/bin/update-desktop-database ] ...
0
votes
1answer
211 views

Problem with kivy installation

I'm trying to install the kivy framework. But first I need to install these packages: python-setuptools python-pygame python-opengl python-gst0.10 python-enchant gstreamer0.10-plugins-good python-dev ...
0
votes
0answers
35 views

Which files should I look at when changing Ubiquity?

I've been thinking about changing the Qt version of Ubiquity to make it easier to use ("easier" in this case meaning not to bring the user to a partition manager when choosing a dual boot option). ...
3
votes
2answers
4k views

Python 3.3 installation ubuntu 13.10

I have just installed ubuntu 3.10 and, although this version is still reliant on python 2 as the default, the python 3.3 interpreter is listed as installed in the software centre. Does this mean that ...
3
votes
2answers
5k views

PyDev not found in Eclipse Kepler Eclipse says it's correctly installed

I suppose it's a similar problem as this question, but I was asked to file a separate question, because my problem is Python-3-related. Situation: Ubuntu 12.04 64bit, Python 3.2.3, installing Eclipse ...
1
vote
1answer
969 views

How to install Visual Python?

I'm a Linux newbie but I'm determined to get my favorite applications on my laptop running Ubuntu 12.04. I just installed Cinnamon. I'm trying to install Visual Python and it requires Python 2.7. I ...
0
votes
1answer
186 views

Installing both lxml 3.1.2 and lxml2 on ubuntu 12.04

I asked this on SO: http://stackoverflow.com/questions/19852911/lxml-3-1-2-and-lxml2-both-on-ubuntu/19856674#19856674 But it is perhaps more appropriate for AskUbuntu. So here it is again, ...
0
votes
0answers
122 views

Installing Mysql Workbench: Package python-minimal cannot be removed

I am a newbie in linux and Ubuntu. I tried to install Mysql Workbench on Ubuntu 12.04.3. I have downloaded .deb installation file and tried to run it. After double click on file, a dialog appeared ...
0
votes
0answers
68 views

Probem with NLTK Installtion

i want to install python nltk . but i got problem with installation of Setuptools: http://pypi.python.org/pypi/setuptools i follow the steps given in read me file but i got problem with (--prefix ...
0
votes
0answers
41 views

Error installing gPodder

A few weeks ago (newbie alert!) I started using XUbuntu 12.04 with Xfce 4.8. I'm trying to install gPodder Podcast Client (see https://launchpad.net/~thp/+archive/gpodder). I've added the PPA via ...
0
votes
1answer
3k views

How to install pip (python) to user without root access

Right, fairly new here but here goes: I'm trying to install pip (python installer) to my username since I don't have root privileges and can't just sudo apt-get install python-pip. So what I've ...
2
votes
2answers
689 views

How to install PyPy3 (2.1, beta) on Ubuntu?

How do I go about installing PyPy3 on Ubuntu 13.04? The download link is here: http://pypy.org/download.html I've downloaded the Linux 64-bit binary and the .tar.gz source. I'm able to run pypy ...
1
vote
1answer
266 views

The package python3.2 needs to be reinstalled, but I can't find an archive for it

I get this error when I try to update or run software center, but I can't find an archive for it: The package python3.2 needs to be reinstalled
0
votes
1answer
83 views

Problems installing python-dev

I am currently working on a project requiring me to extend Python with a C library, and I will be using SWIG on Ubuntu. Worth noting is that I'm doing this on a computer at my university, and I don't ...
0
votes
1answer
56 views

Is it possible to install newest version of Python via apt-get?

I started a programming course which requires Python 3.3.2. However, in my Ubuntu I can install only version 3.3.1. Is it possible to modify the repositories so that I can install the newest version?
0
votes
1answer
330 views

Python: error during generation of XML file from python dictionary

ImportError: No module named elementtree.SimpleXMLWriter The code: import xml.etree.cElementTree as ET root = ET.Element("root") doc = ET.SubElement(root, "doc") field1 = ...
0
votes
2answers
2k views

How to install this file with python?

I want to install this file: cvxopt in my Ubuntu 13.04. But I got the following error message: running install running build running build_py running build_ext building 'base' extension ...
0
votes
0answers
550 views

Strange problem during installation of PySide

I have Ubuntu 10.04 wich Qt 4.8.5, and recently I have been trying to install PySide to create gui for my appliaction. After I am installing it via pip I get an error which is not common as I could ...
1
vote
1answer
568 views

How to Uninstall the Ubuntu SDK?

After Installing the Ubuntu SDK v1.009 on ubuntu 12.04.2 LTS, the computer started behaving in a very unstable manner. Also note that Installing the Ubuntu SDK also installs a lot of test libraries ...
0
votes
0answers
624 views

Pycrypto installation problem on Ubuntu

Everything works fine until this: $ cd pycrypto-2.6 $ python setup.py install This is the output: running install running build running build_py running build_ext running build_configure ...
2
votes
3answers
1k views

Problem in installing Python 3.3 in Ubuntu 12.04

Initially I installed Python 3.3 from source, but then I removed and deleted the directory /usr/lib/python3.3. When I am installing it using aptitude, I am getting this error. Unpacking python3.3 ...
0
votes
1answer
376 views

Install Python 2.7 on Ubuntu 12.4

I have install Ubuntu several day ago. I have install Python on Windows before and everything was simple. Now on Ubuntu I’m getting stuck with installation of Python. So my question is: How can I ...
3
votes
1answer
294 views

Is it good practice to upgrade .deb packages with pip?

It seems some blogs recommend installing pip and setuptools(actually distribute on Ubuntu) with: $ sudo apt-get install python-pip python-setuptools And then upgrading them with: $ sudo ...
0
votes
1answer
142 views

How to install Python 2.5.4 in Ubuntu 11.10? [duplicate]

I've been reading through some posts on how to install Python 2.5.4 in Ubuntu but I can not manage to find a solution to my problem. The version of Ubuntu I have is the 11.10 and the one of Python I ...
0
votes
1answer
617 views

Python on Ubuntu 13.04

How can I download and install Python on Ubuntu 13.04? I'm a newbie in Ubuntu. I've only been using Ubuntu for the last 3 days.
1
vote
1answer
469 views

install Flask as a virtual environment whith virtualenv.py in 12.10

I am trying to follow this Tutorial to learn flask. I have never used python before and a relatively new to linux too so sorry if I am asking a very basic question. I have installed python version ...
-1
votes
1answer
39 views

Pacakge installled succesfully but unable to import [duplicate]

I installed a python package libxmlsec1 using sudo spt-get install libxmlsec1. I got the installation to be successful but when I try to import it in the python command line iam getting an import ...
1
vote
1answer
1k views

Problem with installing a python module

Hi I am unable to download a python module dm.smlsec.binding 1.0b3. The following error is what I get. I have attached my log file please help me sorting out /usr/local/bin/pip run on Thu Jul 18 ...
0
votes
1answer
456 views

How to install Python and wxPython offline?

I could not install my modem driver so I have to update and install applications offline. For this I want to use keryx but to install keryx, Python and wxPython have to be installed first. So how do I ...
3
votes
1answer
5k views

python 3.3.2 installation

I am using ubuntu 12.04 and already have python 2.7 installed. I need python 3.3.2 to be installed for some course. So i am trying to do that. I found this ubuntu link Install Python 3.3.2 on Ubuntu ...
4
votes
1answer
2k views

Broken dependencies after upgrade

After an apt-get upgrade I got the following error: Reading package lists... Done Building dependency tree Reading state information... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not ...
1
vote
2answers
572 views

How can I install python-setuptools-git on precise?

I see there is a package for this beginning with Quantal, but where can I get it for Precise?
0
votes
1answer
146 views

Install PyMC on Amazon EC2

I want to use PyMC on Amazon EC2. According to my package search the python-pymc package is only available under raring. However, EC2 seems to be shipped with precise and after running sudo apt-get ...
5
votes
3answers
6k views

How to install python 3.2 in ubuntu 13.04

I need python 3.2 for development purposes, but new ubuntu 13.04 comes with python 3.3. is there any best practice for installing older python version into ubuntu? Thanks
0
votes
1answer
136 views

Installing Python 3.2.x on 12.04

I'm completely new to Ubuntu (and any OS outside of Windows). I would like to use my newly formatted and installed Ubuntu desktop to code in Python. The problem is, I don't know how to install the ...
0
votes
3answers
1k views

python 3.3 not showing in /usr/bin [closed]

I run linux mint I downloaded python 3.3.1 and ran: ./configure make make test sudo make altinstall However python3.3 did not show up in /usr/bin, but there is a python3.3 folder in ...